Bug 9326 - DHCP and launcher
DHCP and launcher
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: dhcp (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-10 22:26 EST by Piet E Barber
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-15 12:29:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piet E Barber 2000-02-10 22:26:58 EST
The GNOME launcher gets very grumpy when your host name changes.

I am in a DHCP office, and when I plug in the laptop and establish a
connection, the laptop gets a hostname.  DHCP assigns a hostname based on
the in-addr for the IP address it was allocated.

Well, if you are already in the middle of a GNOME session, you can forget
about opening any new Gnome Terminal windows.

(I have noticed this problem in KDE, as well, but I don't use KDE, so I
won't report the bug. )

You don't even need a DHCP session in your office, just launch a window,
type hostname newhostname, and try to open another window.

Other programs don't launch either.  Xterm is unaffected.
Comment 1 Erik Troan 2000-02-15 12:29:59 EST
The best solution for this is to decide on a hostname (which doesn't need
to exist on any real network) for your machine, say my.machine (which will
work fine).

Edit /etc/hosts, and put "my.machine my" on the 127.0.0.1 line, and
set your hostname in /etc/sysconfig/network.

We're working on a better solution.

Note You need to log in before you can comment on or make changes to this bug.